Bug 587422 - Kernel activates LVDS on atom D510 AT5NM10 asus board
Kernel activates LVDS on atom D510 AT5NM10 asus board
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 16:50 EDT by Bruno Kant
Modified: 2010-12-03 10:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Kant 2010-04-29 16:50:56 EDT
Description of problem: Mini-ITX Asus AT5NM10 based on D510 provides both VGA and LVDS outputs. My LVDS output is unequipped, I do expect this board to use the VGA port as main display. But at boot, both LVDS and VGA are active, then xorg (withour any xorg.conf) starts with the primary screen on LVDS and secondary screen on VGA (no menus there, just the wallpaper and contextual menu).

Version-Release number of selected component (if applicable):  2.6.32.10-90.fc12.i686 kernel

How reproducible: Each time

Steps to Reproduce:
1. Boot 2010/04/28 FC12 on AT5NM10, witout extra options, 
2. start or let X start, following the standart boot proces.
  
Actual results: VGA is the secondary screen in X

Expected results: LVDS is unequipped, VGA should be main X screen


Additional info:

With an xorg.conf file, VGA can be configured as the main display.

This same AT5NM10 is usable with a kernel option in grub.lst. An abstract of my config and workaround:

# dmesg | grep LVD
Kernel command line: .... video=LVDS-1:d <- LVDS is now disabled
[drm] forcing LVDS-1 connector OFF
# lspci | grep LVD
# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Pineview Integrated Graphics Controller (rev 02)

With this kernel option, video=LVDS-1:d, my VGA port is now the primary screen in X.
Comment 1 Bruno Kant 2010-04-30 17:25:39 EDT
I had some doubts and checked the bios. My board was shiped with version 0214 of 2009/01/12. Now I have upgraded to the latest 0405 of 2010/03/23.

Using 0405 bios, I still need video=LVDS-1:d to get the primary display on my analog VGA output. With this kernel option, my xorg reports:

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: x86-02 2.6.18-164.6.1.el5
Current Operating System: ... 2.6.32.10-90.fc12.i686

(--) PCI:*(0:0:2:0) 8086:a001:1043:83e6 Intel Corporation Pineview Integrated Graphics Controller rev 2, Mem @ 0xd0e80000/524288, 0xb0000000/268435456, 0xd0d00000/1048576, I/O @ 0x0000c800/8, BIOS @ 0x????????/131072
(--) PCI: (0:0:2:1) 8086:a002:1043:83e6 Intel Corporation Pineview Integrated Graphics Controller rev 2, Mem @ 0xd0f00000/524288, BIOS @ 0x????????/65536

(II) intel(0): Output LVDS1 disconnected
(II) intel(0): Output VGA1 connected


After grub's menu.lst changes and reboot, without this video=LVDS-1:d kernel option, I again have the secondary screen on the VGA port and the same xorg reports:

(II) intel(0): Output LVDS1 connected
(II) intel(0): Output VGA1 connected
Comment 2 Bug Zapper 2010-11-03 12:01:06 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 dennis.lundkvist 2010-11-14 18:17:16 EST
This bug still exists in Fedora 14.
I have a Zotac NM10-DTX mobo with the Pineview chipset, Atom D510 and which includes the Intel GMA3150 graphics (essentially the same setup as Brunos reported Asus mobo).
In my case my mobo only has the VGA connector so this little bug report was what I needed to get my F14 running, thanks Bruno!

/dennis
Comment 4 Bug Zapper 2010-12-03 10:17:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.